For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create teams in bulk

This endpoint creates bulk team for an organization using new v3 version logic in the background. It allows specifying team details, company information, and business settings to organize advertising

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint creates bulk team for an organization using new v3 version logic in the background. It allows specifying team details, company information, and business settings to organize advertising campaigns and manage user access. Note: When a supplier attempts to create records in bulk, the API allows a maximum of 50 records per request. If the request contains more than 50 records, the API returns an error message indicating that the limit has been exceeded."

Create teams in bulk

Create teams in bulk

post

This endpoint creates bulk team for an organization using new v3 version logic in the background. It allows specifying team details, company information, and business settings to organize advertising campaigns and manage user access. Note: When a supplier attempts to create records in bulk, the API allows a maximum of 50 records per request. If the request contains more than 50 records, the API returns an error message indicating that the limit has been exceeded.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The bulk created team

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

messagestringOptional

Status message or result description for the bulk operation.

statusstring · enumOptionalPossible values:
post/v2/teams/bulk/create
POST /v2/teams/bulk/create HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 519

{
  "teams": [
    {
      "businessIdentifier": "biz_AB12345",
      "companyAddress": {
        "addressLine": "123 Main St",
        "postcode": "12345"
      },
      "companyName": "Innovative Solutions Ltd.",
      "companyPhone": "+1-234-567-8901",
      "companyType": "COMPANY_TYPE_UNSPECIFIED",
      "companyWebsite": "https://www.innovativesolutions.com",
      "industryType": "INDUSTRY_TYPE_UNSPECIFIED",
      "logoId": "logo_567XYZ",
      "name": "Development Team",
      "namespaceId": "namespace_ABC123",
      "onBehalfOf": "Ad Sponsor Ltd.",
      "reviewerEmail": "reviewer@innovativesolutions.com",
      "sellerId": "seller_990XYZ"
    }
  ]
}
{
  "bulkId": "text",
  "message": "text",
  "status": "BULK_OPERATION_SUBMITTED"
}